cURL
curl --request GET \
--url https://api.crunchz.app/api/groups \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.crunchz.app/api/groups"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.crunchz.app/api/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"data": [
{
"id": "<string>",
"name": "<string>",
"created_at": "<string>",
"owner": "<string>",
"restricted": true,
"is_community": true,
"is_owner": true,
"actions": {
"join_approval": true,
"can_add_member": true
},
"participant_count": 123
}
],
"meta": {
"current_page": 1,
"per_page": 50,
"total": 150,
"total_pages": 3,
"has_next_page": true,
"has_prev_page": false
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>"
}Group
All Group
Retrieve a paginated list of all WhatsApp groups associated with your account, including group names, IDs, and metadata.
GET
/
groups
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Limit (optional, default: 50, min: 1, max: 100)
Required range:
1 <= x <= 100Offset (optional, default: 0, min: 0)
Required range:
x >= 0Was this page helpful?
⌘I